#define HOST_REG_R0  0
#define HOST_REG_R1  1
#define HOST_REG_R4  4
#define HOST_REG_R5  5
#define HOST_REG_R12 12

#define HOST_FIRST_SCRATCH_REG HOST_REG_R5
#define HOST_LAST_SCRATCH_REG  HOST_REG_R12
#define HOST_NUM_SCRATCH_REGS \
    (HOST_LAST_SCRATCH_REG + 1 - HOST_FIRST_SCRATCH_REG)

#define HOST_REG_AREG0 HOST_REG_R0 + 27
#define HOST_REG_AREG1 HOST_REG_R0 + 24
#define HOST_REG_AREG2 HOST_REG_R0 + 25
#define HOST_REG_AREG3 HOST_REG_R0 + 26
#if defined(CONFIG_USER_ONLY)
#define HOST_REG_AREG4 HOST_REG_R0 + 16
#define HOST_REG_AREG5 HOST_REG_R0 + 17
#define HOST_REG_AREG6 HOST_REG_R0 + 18
#define HOST_REG_AREG7 HOST_REG_R0 + 19
#define HOST_REG_AREG8 HOST_REG_R0 + 20
#define HOST_REG_AREG9 HOST_REG_R0 + 21
#define HOST_REG_AREG10 HOST_REG_R0 + 22
#define HOST_REG_AREG11 HOST_REG_R0 + 23
#endif

#define HOST_NUM_REGS 32
#define NUM_HOST_REG_CLASSES 1
